# Severity

@Incubating
interface Severity

Represents a problem severity.

#### Since

8.6

## Properties

ADVICE
Link copied to clipboard
val ADVICE: Severity
Advice-level severity.
ERROR
Link copied to clipboard
val ERROR: Severity
Error-level severity.
WARNING
Link copied to clipboard
val WARNING: Severity
Warning-level severity.

## Functions

getSeverity
Link copied to clipboard
abstract fun getSeverity(): Int
The severity level represented by a string.
isKnown
Link copied to clipboard
abstract fun isKnown(): Boolean
Returns true if this severity is one of ADVICE, WARNING, or ERROR.